#==========================================================
#	MAKEFILE For YUI COMMON
#==========================================================
#========================
#	u
#========================

TARGET = YLCLST
TARGET2 = YRTCLCL
TARGET3 = YCRTLCL
TARGET4 = YLTM
TARGET5 = YLBT
TARGET6 = YPWS
TARGET7 = YERA
TARGET8 = YWKL

OBJS = $(Y_o)$(TARGET).o
OBJS2 = $(Y_o)$(TARGET2).o
OBJS3 = $(Y_o)$(TARGET3).o
OBJS4 = $(Y_o)$(TARGET4).o
OBJS5 = $(Y_o)$(TARGET5).o
OBJS6 = $(Y_o)$(TARGET6).o
OBJS7 = $(Y_o)$(TARGET7).o
OBJS8 = $(Y_o)$(TARGET8).o


DEV = DEV_CMN/
EXF = exf/
Y_o = $(DEV)CMN_o/

BMP_1S =$(DEV)icon/$(TARGET)_icon_s
BMP_1L =$(DEV)icon/$(TARGET)_icon_l
BMP_2S =$(DEV)icon/$(TARGET2)_icon_s
BMP_2L =$(DEV)icon/$(TARGET2)_icon_l
BMP_3S =$(DEV)icon/$(TARGET3)_icon_s
BMP_3L =$(DEV)icon/$(TARGET3)_icon_l
BMP_4S =$(DEV)icon/$(TARGET4)_icon_s
BMP_4L =$(DEV)icon/$(TARGET4)_icon_l
BMP_5S =$(DEV)icon/$(TARGET5)_icon_s
BMP_5L =$(DEV)icon/$(TARGET5)_icon_l
BMP_6S =$(DEV)icon/$(TARGET6)_icon_s
BMP_6L =$(DEV)icon/$(TARGET6)_icon_l
BMP_7S =$(DEV)icon/$(TARGET7)_icon_s
BMP_7L =$(DEV)icon/$(TARGET7)_icon_l
BMP_8S =$(DEV)icon/$(TARGET8)_icon_s
BMP_8L =$(DEV)icon/$(TARGET8)_icon_l

#gpR}h
AS = as
LD = ld
OBJCOPY = mn10200-elf-objcopy
SF2BIN = sf2bin
SETICO = setico

#ʏAv̏ꍇ́AAhX0x110100B
#qvZXAv̏ꍇ́A0x10D800B
LDFLAGS = -Ttext 0x11D800 -Map $(Y_o)$(TARGET).map
LDFLAGS2 = -Ttext 0x10D800 -Map $(Y_o)$(TARGET2).map
LDFLAGS3 = -Ttext 0x10D800 -Map $(Y_o)$(TARGET3).map
LDFLAGS4 = -Ttext 0x10D800 -Map $(Y_o)$(TARGET4).map
LDFLAGS5 = -Ttext 0x10D800 -Map $(Y_o)$(TARGET5).map
LDFLAGS6 = -Ttext 0x10D800 -Map $(Y_o)$(TARGET6).map
LDFLAGS7 = -Ttext 0x10D800 -Map $(Y_o)$(TARGET7).map
LDFLAGS8 = -Ttext 0x10D800 -Map $(Y_o)$(TARGET8).map

#========================
#	sR}h
#========================
$(DEV)$(EXF)$(TARGET).exf: $(Y_o)$(TARGET).elf $(DEV)$(EXF)$(TARGET2).exf
	$(OBJCOPY) --output-target=srec $(Y_o)$(TARGET).elf
	$(SF2BIN) $(Y_o)$(TARGET).elf $(DEV)$(EXF)$(TARGET).exf
	$(SETICO) $(BMP_1S).bmp $(BMP_1L).BMP $(DEV)$(EXF)$(TARGET).exf

$(DEV)$(EXF)$(TARGET2).exf: $(Y_o)$(TARGET2).elf $(DEV)$(EXF)$(TARGET3).exf
	$(OBJCOPY) --output-target=srec $(Y_o)$(TARGET2).elf
	$(SF2BIN) $(Y_o)$(TARGET2).elf $(DEV)$(EXF)$(TARGET2).exf
	$(SETICO) $(BMP_2S).bmp $(BMP_2L).BMP $(DEV)$(EXF)$(TARGET2).exf

$(DEV)$(EXF)$(TARGET3).exf: $(Y_o)$(TARGET3).elf $(DEV)$(EXF)$(TARGET4).exf
	$(OBJCOPY) --output-target=srec $(Y_o)$(TARGET3).elf
	$(SF2BIN) $(Y_o)$(TARGET3).elf $(DEV)$(EXF)$(TARGET3).exf
	$(SETICO) $(BMP_3S).bmp $(BMP_3L).BMP $(DEV)$(EXF)$(TARGET3).exf

$(DEV)$(EXF)$(TARGET4).exf: $(Y_o)$(TARGET4).elf $(DEV)$(EXF)$(TARGET5).exf
	$(OBJCOPY) --output-target=srec $(Y_o)$(TARGET4).elf
	$(SF2BIN) $(Y_o)$(TARGET4).elf $(DEV)$(EXF)$(TARGET4).exf
	$(SETICO) $(BMP_4S).bmp $(BMP_4L).BMP $(DEV)$(EXF)$(TARGET4).exf

$(DEV)$(EXF)$(TARGET5).exf: $(Y_o)$(TARGET5).elf $(DEV)$(EXF)$(TARGET6).exf
	$(OBJCOPY) --output-target=srec $(Y_o)$(TARGET5).elf
	$(SF2BIN) $(Y_o)$(TARGET5).elf $(DEV)$(EXF)$(TARGET5).exf
	$(SETICO) $(BMP_5S).bmp $(BMP_5L).BMP $(DEV)$(EXF)$(TARGET5).exf

$(DEV)$(EXF)$(TARGET6).exf: $(Y_o)$(TARGET6).elf $(DEV)$(EXF)$(TARGET7).exf
	$(OBJCOPY) --output-target=srec $(Y_o)$(TARGET6).elf
	$(SF2BIN) $(Y_o)$(TARGET6).elf $(DEV)$(EXF)$(TARGET6).exf
	$(SETICO) $(BMP_6S).bmp $(BMP_6L).BMP $(DEV)$(EXF)$(TARGET6).exf

$(DEV)$(EXF)$(TARGET7).exf: $(Y_o)$(TARGET7).elf $(DEV)$(EXF)$(TARGET8).exf
	$(OBJCOPY) --output-target=srec $(Y_o)$(TARGET7).elf
	$(SF2BIN) $(Y_o)$(TARGET7).elf $(DEV)$(EXF)$(TARGET7).exf
	$(SETICO) $(BMP_7S).bmp $(BMP_7L).BMP $(DEV)$(EXF)$(TARGET7).exf

$(DEV)$(EXF)$(TARGET8).exf: $(Y_o)$(TARGET8).elf
	$(OBJCOPY) --output-target=srec $(Y_o)$(TARGET8).elf
	$(SF2BIN) $(Y_o)$(TARGET8).elf $(DEV)$(EXF)$(TARGET8).exf
	$(SETICO) $(BMP_8S).bmp $(BMP_8L).BMP $(DEV)$(EXF)$(TARGET8).exf

$(Y_o)$(TARGET8).elf: $(OBJS8)
	$(LD) -o $(Y_o)$(TARGET8).elf $(OBJS8) $(LDFLAGS8)

$(Y_o)$(TARGET7).elf: $(OBJS7)
	$(LD) -o $(Y_o)$(TARGET7).elf $(OBJS7) $(LDFLAGS7)

$(Y_o)$(TARGET6).elf: $(OBJS6)
	$(LD) -o $(Y_o)$(TARGET6).elf $(OBJS6) $(LDFLAGS6)

$(Y_o)$(TARGET5).elf: $(OBJS5)
	$(LD) -o $(Y_o)$(TARGET5).elf $(OBJS5) $(LDFLAGS5)

$(Y_o)$(TARGET4).elf: $(OBJS4)
	$(LD) -o $(Y_o)$(TARGET4).elf $(OBJS4) $(LDFLAGS4)

$(Y_o)$(TARGET3).elf: $(OBJS3)
	$(LD) -o $(Y_o)$(TARGET3).elf $(OBJS3) $(LDFLAGS3)

$(Y_o)$(TARGET2).elf: $(OBJS2)
	$(LD) -o $(Y_o)$(TARGET2).elf $(OBJS2) $(LDFLAGS2)

$(Y_o)$(TARGET).elf: $(OBJS)
	$(LD) -o $(Y_o)$(TARGET).elf $(OBJS) $(LDFLAGS)

$(Y_o)$(TARGET8).o: $(DEV)$(TARGET8).s
	$(AS) $(DEV)$(TARGET8).s -o $(Y_o)$(TARGET8).o

$(Y_o)$(TARGET7).o: $(DEV)$(TARGET7).s
	$(AS) $(DEV)$(TARGET7).s -o $(Y_o)$(TARGET7).o

$(Y_o)$(TARGET6).o: $(DEV)$(TARGET6).s
	$(AS) $(DEV)$(TARGET6).s -o $(Y_o)$(TARGET6).o

$(Y_o)$(TARGET5).o: $(DEV)$(TARGET5).s
	$(AS) $(DEV)$(TARGET5).s -o $(Y_o)$(TARGET5).o

$(Y_o)$(TARGET4).o: $(DEV)$(TARGET4).s
	$(AS) $(DEV)$(TARGET4).s -o $(Y_o)$(TARGET4).o

$(Y_o)$(TARGET3).o: $(DEV)$(TARGET3).s
	$(AS) $(DEV)$(TARGET3).s -o $(Y_o)$(TARGET3).o

$(Y_o)$(TARGET2).o: $(DEV)$(TARGET2).s
	$(AS) $(DEV)$(TARGET2).s -o $(Y_o)$(TARGET2).o

$(Y_o)$(TARGET).o: $(DEV)$(TARGET).s
	$(AS) $(DEV)$(TARGET).s -o $(Y_o)$(TARGET).o

