#=======================
# Power Setting
#              v0.03
# 	*  CN  *
#=======================
#=======================
#	Include Init
#=======================
#	.include	"bioscall.def"
#	.include	"address.def"

	.include	"y_equ.def" 		#ҏWςݒ`t@C
	.text
	.global	_start

#=======================
#	EXF Header
#=======================
_start:
	jmp 	main
	nop
	nop
	nop
	
	.fill 128,1,0 					#ACR̈m

#=======================
#	Main
#=======================

main:
	jsr 	reg_ini
	jsr 	get_psp
	
	jsr 	call_endwaiting

	jsr 	clear_vram

	mov 	vram,a0
	jsr 	call_gv_get

#############################################################################1:ʕ\
display_section:
	mov 	(flag_select),d0
	cmp 	1,d0
	beq 	display_select
	mov 	(flag_read),d0
	cmp 	1,d0
	beq 	non_display_read 					#
	mov 	(flag_power_type),d0
	cmp 	1,d0
	beq 	display_power_type
	mov 	(flag_el_bl_time),d0
	cmp 	1,d0
	beq 	display_el_bl_time
	mov 	(flag_wait_time),d0
	cmp 	1,d0
	beq 	display_wait_time
	mov 	(flag_timer_on),d0
	cmp 	1,d0
	beq 	display_timer_on
	mov 	(flag_timer_off),d0
	cmp 	1,d0
	beq 	display_timer_off
	mov 	(flag_error),d0
	cmp 	1,d0
	beq 	display_error
display_main: 									################################C
	mov 	vram+4,a0
	mov 	title_main,a1
	mov 	7,d1
	mov 	2,d2
	jsr 	win2vram
	
	mov 	vram+4+6+102,a0
	mov 	char_power_type,a1

	jsr 	teikei_1
#	jsr 	str2vram
#	add 	4,a0
#	mov 	right_arrow,a1
#	jsr 	symbol2vram4x8
#	add 	2,a0
#	mov 	iny_buffer,a1

	jsr 	disp_power_type
	
	mov 	vram+4+6+102*2,a0
	mov 	char_time_check,a1

	jsr 	teikei_1
#	jsr 	str2vram
#	add 	4,a0
#	mov 	right_arrow,a1
#	jsr 	symbol2vram4x8
#	add 	2,a0
#	mov 	iny_buffer,a1

	jsr 	disp_time_check
	
	mov 	vram+4+6+102*3,a0
	mov 	char_el_bl_time,a1
	
	jsr 	teikei_1
#	jsr 	str2vram
#	add 	4,a0
#	mov 	right_arrow,a1
#	jsr 	symbol2vram4x8
#	add 	2,a0
#	mov 	iny_buffer,a1
	jsr 	disp_el_bl_time
	
	mov 	iny_buffer,a0
	mov 	(30,a0),d0
	cmp 	0,d0
	beq 	display_main4
display_main1:
	mov 	vram+4+6+102*4,a0
	mov 	char_wait_time,a1

	jsr 	teikei_1
#	jsr 	str2vram
#	add 	4,a0
#	mov 	right_arrow,a1
#	jsr 	symbol2vram4x8
#	add 	2,a0
#	mov 	iny_buffer,a1

	jsr 	disp_wait_time
	
	mov 	iny_buffer,a0
	mov 	(30,a0),d0
	cmp 	1,d0
	beq 	display_main4
display_main2:
	mov 	vram+4+6+102*5,a0
	mov 	char_timer_on,a1

	jsr 	teikei_1
#	jsr 	str2vram
#	add 	4,a0
#	mov 	right_arrow,a1
#	jsr 	symbol2vram4x8
#	add 	2,a0
#	mov 	iny_buffer,a1

	jsr 	disp_timer_on
display_main3:
	mov 	vram+4+6+102*6,a0
	mov 	char_timer_off,a1

	jsr 	teikei_1
#	jsr 	str2vram
#	add 	4,a0
#	mov 	right_arrow,a1
#	jsr 	symbol2vram4x8
#	add 	2,a0
#	mov 	iny_buffer,a1

	jsr 	disp_timer_off
display_main4:
	mov 	(csr_y),d0
	mov 	vram+4+5+102,a0
	mov 	49,d1
	cmp 	0,d0
	beq 	display_main5
	add 	102,a0
	cmp 	1,d0
	beq 	display_main5
	add 	102,a0
	cmp 	2,d0
	beq 	display_main5
	add 	102,a0
	cmp 	3,d0
	beq 	display_main5
	add 	102,a0
	cmp 	4,d0
	beq 	display_main5
	add 	102,a0
display_main5:
	jsr 	reverse_area_d
	
	jmp 	keyin_section
display_select: 								################################[h
	mov 	vram+4+102*2,a0
	mov 	title_select,a1
	mov 	4,d1
	mov 	8,d2
	jsr 	win2vram
	mov 	vram+4+14+102*3,a0
	mov 	char_ram,a1
	jsr 	str2vram
	add 	8,a0
	mov 	right_arrow,a1
	jsr 	symbol2vram4x8
	mov 	vram+4+14+102*4,a0
	mov 	char_rom,a1
	jsr 	str2vram
	add 	8,a0
	mov 	right_arrow,a1
	jsr 	symbol2vram4x8
	mov 	vram+4+14+102*5,a0
	mov 	char_ram_and_rom,a1
	jsr 	str2vram
	add 	8,a0
	mov 	right_arrow,a1
	jsr 	symbol2vram4x8
display_select2:
	mov 	vram+4+13+102*3,a0
	mov 	77,d1
	mov 	(csr_y),d0
	cmp 	0,d0
	beq 	display_select3
	add 	102,a0
	cmp 	1,d0
	beq 	display_select3
	add 	102,a0
	cmp 	2,d0
	beq 	display_select3
display_select3:
	jmp 	display_main5
non_display_read: 								################################[hi\ł͂Ȃj
	mov 	(mode_num),d0
	cmp 	0,d0
	beq 	non_display_read_ram
	cmp 	1,d0
	beq 	non_display_read_rom
non_display_read_ram: 							#0,2(RAMx[X)̏ꍇ
	mov		(sysctl_address),a0
	mov		(SYS_RupDefine,a0),a0
	mov 	iny_buffer,a1
	mov 	(read_write_range),d1
	jsr 	copy_data 							##RAM[hiROMɔׂčj
	sub 	d0,d0
	mov 	d0,(flag_read)
	jmp 	non_display_read_common
non_display_read_rom: 							#1(ROMx[X)̏ꍇ
	mov 	app_iny_pass,a1
	mov 	iny_buffer,a2
	mov 	(read_write_range),d1
	jsr 	read_iny 							##ROM[hiRAMɔׂĒᑬj
	sub 	d0,d0
	mov 	d0,(flag_read)
	jmp 	non_display_read_common
non_display_read_common:
	mov 	iny_buffer+30,a0
	mov 	(a0),d0
	mov 	d0,(first_power_type)
	jmp 	display_main
display_power_type: 							################################p[^Cv
	mov 	vram+4+102*2,a0
	mov 	title_type,a1
	mov 	2,d1
	mov 	24,d2
	jsr 	win2vram
	mov 	vram+4+32+102*3,a0
	mov		iny_buffer_shadow,a1
	jsr 	disp_power_type
	mov 	vram+4+35+102*3,a0
	mov 	33,d1
	jmp 	display_main5
display_el_bl_time: 							################################obNCg
	mov 	vram+4+102*2,a0
	mov 	title_time,a1
	mov 	2,d1
	mov 	24,d2
	jsr 	win2vram
	mov 	vram+4+32+102*3,a0
	mov		iny_buffer_shadow,a1
	jsr 	disp_el_bl_time
	mov 	vram+4+35+102*3,a0
	mov 	33,d1
	jmp 	display_main5
display_wait_time: 								################################҂ԉ
	mov 	vram+4+102*2,a0
	mov 	title_time,a1
	mov 	2,d1
	mov 	24,d2
	jsr 	win2vram
	mov 	vram+4+32+102*3,a0
	mov		iny_buffer_shadow,a1
	jsr 	disp_wait_time
	mov 	vram+4+35+102*3,a0
	mov 	33,d1
	jmp 	display_main5
display_timer_on: 								################################I[gI
	mov 	vram+4+102*2,a0
	mov 	title_input_time,a1
	mov 	2,d1
	mov 	24,d2
	jsr 	win2vram
	mov 	vram+4+32+102*3,a0
	mov		iny_buffer_shadow,a1
	jsr 	disp_timer_on
display_timer_common:
	mov 	(csr_x),d0
	mov 	vram+4+57+102*3,a0
	mov 	5,d1
	cmp 	0,d0
	beq 	display_timer_on2
	add 	-4,a0
	cmp 	1,d0
	beq 	display_timer_on2
	add 	-8,a0
	cmp 	2,d0
	beq 	display_timer_on2
	add 	-4,a0
display_timer_on2:
	jmp 	display_main5
display_timer_off: 								################################I[gIt
	mov 	vram+4+102*2,a0
	mov 	title_input_time,a1
	mov 	2,d1
	mov 	24,d2
	jsr 	win2vram
	mov 	vram+4+32+102*3,a0
	mov		iny_buffer_shadow,a1
	jsr 	disp_timer_off
	jmp 	display_timer_common
display_error: 									################################G[
	mov 	vram+4+102*2,a0
	mov 	title_error,a1
	mov 	3,d1
	mov 	18,d2
	jsr 	win2vram
	
	mov 	vram+4+22+102*3,a0
	mov 	char_error1,a1
	jsr 	str2vram
	mov 	vram+4+20+102*4,a0
	mov 	char_error2,a1
	jsr 	str2vram
	
	mov 	vram+4+20+102*4,a0
	mov 	62,d1
 	jmp 	display_main5
#############################################################################2:L[Ή
keyin_section:
	jsr 	reg_ini
	jsr 	lcd_display

	jmp 	keyin_and_filer 		#ЂƊɂjmp
	
another_events: 					#Keyin_and_FilerpX炱̉
	movbu 	(KEY_PORT),d1
	btst 	KEY_EL,d1 				#p[ItELNɑΉB
	beq 	another_events2  		#ĂȂ"VXeG["mŔB
	mov 	1,d2
	jmp 	exit
another_events2:
	mov 	(keyin_workarea),d0 	#Keyinl
key_up: 							#############################################
	cmp 	K_UP,d0
	bne 	key_dw
key_up_flag_check: 					#####tO`FbN
	mov	 	(flag_select),d0
	cmp 	1,d0
	beq 	key_up_select
	mov 	(flag_power_type),d0
	cmp 	1,d0
	beq 	key_up_power_type
	mov 	(flag_el_bl_time),d0
	cmp 	1,d0
	beq 	key_up_el_bl_time
	mov 	(flag_wait_time),d0
	cmp 	1,d0
	beq 	key_up_wait_time
	mov 	(flag_timer_on),d0
	cmp 	1,d0
	beq 	key_up_timer_on
	mov 	(flag_timer_off),d0
	cmp 	1,d0
	beq 	key_up_timer_off
	mov 	(flag_error),d0
	cmp 	1,d0
	beq 	display_section
key_up_main: 						######################:C
	mov 	iny_buffer,a0
	mov 	(30,a0),d0
	mov 	csr_y_max_always,a1
	cmp 	0,d0
	beq 	key_up_main2
	mov 	csr_y_max_autooff,a1
	cmp 	1,d0
	beq 	key_up_main2
	mov 	csr_y_max_autotimer,a1
key_up_main2:
	mov 	csr_y,a0
	jsr 	loop_dw
	jmp 	display_section
key_up_select: 						######################:[hZNg
	mov 	csr_y,a0
	mov 	csr_y_max_select,a1
	jsr 	loop_dw
	jmp 	display_section
key_up_power_type: 					######################:p[^Cv
	sub 	d0,d0
	mov 	d0,(flag_power_type)
	#====CHECK AUTO TMR -> AUTO OFF?====#
	mov 	(first_power_type),d0
	cmp 	2,d0 							#n߂AUTO TMR..
	bne 	key_up_power_type_common
	mov 	iny_buffer_shadow+30,a0
	mov 	(a0),d0
	cmp 	1,d0 							#ωオAUTO OFF..
	bne 	key_up_power_type_flag_clear
	mov 	1,d0
	mov 	d0,(flag_bug)
	#===================================#
key_up_power_type_common:
	jmp 	key_up_common
key_up_power_type_flag_clear:
	sub 	d0,d0
	mov 	d0,(flag_bug)
	jmp 	key_up_common
key_up_el_bl_time: 					######################:obNCg
	sub 	d0,d0
	mov 	d0,(flag_el_bl_time)
	jmp 	key_up_common
key_up_wait_time: 					######################:҂
	sub 	d0,d0
	mov 	d0,(flag_wait_time)
	jmp	 	key_up_common
key_up_timer_on: 					######################:AUTO-ON
	mov 	(csr_x),d0
	cmp 	0,d0
	beq 	key_up_timer_on_x0
	cmp 	1,d0
	beq 	key_up_timer_on_x1
	cmp 	2,d0
	beq 	key_up_timer_on_x2
	cmp 	3,d0
	beq 	key_up_timer_on_x3
key_up_timer_on_x0:
	mov 	iny_buffer_shadow+36,a0
	mov 	59,d1
	mov 	1,d2
	jsr 	loop_up_bhi
	jmp 	display_section
key_up_timer_on_x1:
	mov 	iny_buffer_shadow+36,a0
	mov 	59,d1
	mov 	10,d2
	jsr 	loop_up_bhi
	jmp 	display_section
key_up_timer_on_x2:
	mov 	iny_buffer_shadow+34,a0
	mov 	23,d1
	mov 	1,d2
	jsr 	loop_up_bhi
	jmp 	display_section
key_up_timer_on_x3:
	mov 	iny_buffer_shadow+34,a0
	mov 	23,d1
	mov 	10,d2
	jsr 	loop_up_bhi
	jmp 	display_section
key_up_timer_off: 					######################:AUTO-OFF
	mov 	(csr_x),d0
	cmp 	0,d0
	beq 	key_up_timer_off_x0
	cmp 	1,d0
	beq 	key_up_timer_off_x1
	cmp 	2,d0
	beq 	key_up_timer_off_x2
	cmp 	3,d0
	beq 	key_up_timer_off_x3
key_up_timer_off_x0:
	mov 	iny_buffer_shadow+40,a0
	mov 	59,d1
	mov 	1,d2
	jsr 	loop_up_bhi
	jmp 	display_section
key_up_timer_off_x1:
	mov 	iny_buffer_shadow+40,a0
	mov 	59,d1
	mov 	10,d2
	jsr 	loop_up_bhi
	jmp 	display_section
key_up_timer_off_x2:
	mov 	iny_buffer_shadow+38,a0
	mov 	23,d1
	mov 	1,d2
	jsr 	loop_up_bhi
	jmp 	display_section
key_up_timer_off_x3:
	mov 	iny_buffer_shadow+38,a0
	mov 	23,d1
	mov 	10,d2
	jsr 	loop_up_bhi
	jmp 	display_section
key_up_common:
	mov 	iny_buffer_shadow,a0
	mov 	iny_buffer,a1
	mov 	(read_write_range_shadow),d1
	jsr 	copy_data
	jmp 	display_section
key_dw: 							#############################################
	cmp 	K_DOWN,d0
	bne 	key_left
key_dw_flag_check: 					#####tO`FbN
	mov 	(flag_select),d0
	cmp 	1,d0
	beq 	key_dw_select
	mov 	(flag_power_type),d0
	cmp 	1,d0
	beq 	key_dw_power_type
	mov 	(flag_el_bl_time),d0
	cmp 	1,d0
	beq 	key_dw_el_bl_time
	mov 	(flag_wait_time),d0
	cmp 	1,d0
	beq 	key_dw_wait_time
	mov 	(flag_timer_on),d0
	cmp 	1,d0
	beq 	key_dw_timer_on
	mov 	(flag_timer_off),d0
	cmp 	1,d0
	beq 	key_dw_timer_off
	mov 	(flag_error),d0
	cmp 	1,d0
	beq 	key_dw_error
key_dw_main: 						######################:C
	mov 	iny_buffer,a0
	mov 	(30,a0),d0
	mov 	csr_y_max_always,a1
	cmp 	0,d0
	beq 	key_dw_main2
	mov 	csr_y_max_autooff,a1
	cmp 	1,d0
	beq 	key_dw_main2
	mov 	csr_y_max_autotimer,a1
key_dw_main2:
	mov 	csr_y,a0
	jsr 	loop_up
	jmp	 	display_section
key_dw_select: 						######################:[hZNg
	mov 	csr_y,a0
	mov 	csr_y_max_select,a1
	jsr 	loop_up
	jmp 	display_section
key_dw_power_type: 					######################:p[^Cv
	sub 	d0,d0
	mov 	d0,(flag_power_type)
	jmp 	display_section
key_dw_el_bl_time: 					######################:obNCg
	sub 	d0,d0
	mov 	d0,(flag_el_bl_time)
	jmp 	display_section
key_dw_wait_time: 					######################:҂
	sub 	d0,d0
	mov 	d0,(flag_wait_time)
	jmp 	display_section
key_dw_timer_on: 					######################:AUTO-ON
	mov 	(csr_x),d0
	cmp 	0,d0
	beq 	key_dw_timer_on_x0
	cmp 	1,d0
	beq 	key_dw_timer_on_x1
	cmp 	2,d0
	beq 	key_dw_timer_on_x2
	cmp 	3,d0
	beq 	key_dw_timer_on_x3
key_dw_timer_on_x0:
	mov 	iny_buffer_shadow+36,a0
	mov 	0,d1
	mov 	1,d2
	jsr 	loop_dw_ble
	jmp 	display_section
key_dw_timer_on_x1:
	mov 	iny_buffer_shadow+36,a0
	mov 	0,d1
	mov 	10,d2
	jsr 	loop_dw_ble
	jmp 	display_section
key_dw_timer_on_x2:
	mov 	iny_buffer_shadow+34,a0
	mov 	0,d1
	mov 	1,d2
	jsr 	loop_dw_ble
	jmp 	display_section
key_dw_timer_on_x3:
	mov 	iny_buffer_shadow+34,a0
	mov 	0,d1
	mov 	10,d2
	jsr 	loop_dw_ble
	jmp 	display_section
key_dw_timer_off: 					######################:AUTO-OFF
	mov 	(csr_x),d0
	cmp 	0,d0
	beq 	key_dw_timer_off_x0
	cmp 	1,d0
	beq 	key_dw_timer_off_x1
	cmp 	2,d0
	beq 	key_dw_timer_off_x2
	cmp 	3,d0
	beq 	key_dw_timer_off_x3
key_dw_timer_off_x0:
	mov 	iny_buffer_shadow+40,a0
	mov 	0,d1
	mov 	1,d2
	jsr 	loop_dw_ble
	jmp 	display_section
key_dw_timer_off_x1:
	mov 	iny_buffer_shadow+40,a0
	mov 	0,d1
	mov 	10,d2
	jsr 	loop_dw_ble
	jmp 	display_section
key_dw_timer_off_x2:
	mov 	iny_buffer_shadow+38,a0
	mov 	0,d1
	mov 	1,d2
	jsr 	loop_dw_ble
	jmp 	display_section
key_dw_timer_off_x3:
	mov 	iny_buffer_shadow+38,a0
	mov 	0,d1
	mov 	10,d2
	jsr 	loop_dw_ble
	jmp 	display_section
key_dw_error: 						#####:ERROR
	sub 	d0,d0
	mov 	d0,(flag_error)
	jmp 	display_section
key_left: 							#############################################
	cmp 	K_LEFT,d0
	bne 	key_right
key_left_flag_check: 				#####tO`FbN
	mov 	(flag_power_type),d0
	cmp 	1,d0
	beq 	key_left_power_type
	mov 	(flag_el_bl_time),d0
	cmp 	1,d0
	beq 	key_left_el_bl_time
	mov 	(flag_wait_time),d0
	cmp 	1,d0
	beq 	key_left_wait_time
	mov 	(flag_timer_on),d0
	cmp 	1,d0
	beq 	key_left_timer
	mov 	(flag_timer_off),d0
	cmp 	1,d0
	beq 	key_left_timer
	mov 	(flag_error),d0
	cmp 	1,d0
	beq 	display_section
key_left_power_type: 				#####################:p[^Cv
	mov 	iny_buffer_shadow+30,a0
	mov 	power_type_max,a1
	jsr 	loop_dw
	jmp 	display_section
key_left_el_bl_time: 				#####################:obNCg
	mov 	iny_buffer_shadow+42,a0
	mov 	el_bl_time_max,a1
	jsr 	loop_dw
	jmp 	display_section
key_left_wait_time: 				#####################:҂
	mov 	iny_buffer_shadow+32,a0
	mov 	wait_time_max,a1
	jsr 	loop_dw
	jmp 	display_section
key_left_timer: 					#####################:^C}[
	mov 	csr_x,a0
	mov 	csr_x_max,a1
	jsr 	loop_up
	jmp 	display_section
key_right: 							#############################################
	cmp 	K_RIGHT,d0
	bne 	key_enter
key_right_flag_check: 				#####tO`FbN
	mov 	(flag_select),d0
	cmp 	1,d0
	beq 	key_right_select
	mov 	(flag_power_type),d0
	cmp 	1,d0
	beq 	key_right_power_type
	mov 	(flag_el_bl_time),d0
	cmp 	1,d0
	beq 	key_right_el_bl_time
	mov 	(flag_wait_time),d0
	cmp 	1,d0
	beq 	key_right_wait_time
	mov 	(flag_timer_on),d0
	cmp 	1,d0
	beq 	key_right_timer
	mov 	(flag_timer_off),d0
	cmp 	1,d0
	beq 	key_right_timer
	mov 	(flag_error),d0
	cmp 	1,d0
	beq 	display_section
key_right_main: 					######################:C
	mov 	(csr_y),d0
	cmp 	0,d0
	beq 	key_right_main_power_type
	cmp 	1,d0
	beq 	key_right_main_time_check
	cmp 	2,d0
	beq 	key_right_main_el_bl_time
	cmp 	3,d0
	beq 	key_right_main_wait_time
	cmp 	4,d0
	beq 	key_right_main_timer_on
	cmp 	5,d0
	beq 	key_right_main_timer_off
key_right_main_power_type:
	mov 	1,d0
	mov 	d0,(flag_power_type)
	jmp 	key_right_main_common
key_right_main_time_check:
	mov 	iny_buffer+28,a0
	mov 	time_check_max,a1
	jsr 	loop_up
	jmp 	display_section
key_right_main_el_bl_time:
	mov 	1,d0
	mov 	d0,(flag_el_bl_time)
	jmp 	key_right_main_common
key_right_main_wait_time:
	mov 	1,d0
	mov 	d0,(flag_wait_time)
	jmp 	key_right_main_common
key_right_main_timer_on:
	mov 	1,d0
	mov 	d0,(flag_timer_on)
	jmp 	key_right_main_common
key_right_main_timer_off:
	mov 	1,d0
	mov 	d0,(flag_timer_off)
	jmp 	key_right_main_common
key_right_main_common:
	mov 	iny_buffer,a0
	mov 	iny_buffer_shadow,a1
	mov 	(read_write_range_shadow),d1
	jsr 	copy_data
	jmp 	display_section
key_right_select: 					######################:[hZNg
	mov 	1,d0
	mov 	d0,(flag_read)
	sub 	d0,d0
	mov 	d0,(flag_select)
	mov 	(csr_y),d1
	mov 	d1,(mode_num)
	mov 	d0,(csr_y)
	jmp 	display_section
key_right_power_type: 				######################:p[^Cv
	mov 	iny_buffer_shadow+30,a0
	mov 	power_type_max,a1
	jsr 	loop_up
	jmp 	display_section
key_right_el_bl_time: 				######################:obNCg
	mov 	iny_buffer_shadow+42,a0
	mov 	el_bl_time_max,a1
	jsr 	loop_up
	jmp 	display_section
key_right_wait_time: 				######################:҂
	mov 	iny_buffer_shadow+32,a0
	mov 	wait_time_max,a1
	jsr 	loop_up
	jmp 	display_section
key_right_timer: 					######################:^C}[
	mov 	csr_x,a0
	mov 	csr_x_max,a1
	jsr 	loop_dw
	jmp 	display_section
key_enter: 							#############################################Enter
	cmp 	K_ENTER,d0 				#EnterȂ珑ŏIB
	bne 	key_menu
key_enter_flag_check: 				#####tO`FbN
	mov 	(flag_select),d0
	cmp 	1,d0
	beq 	key_menu_main
	mov 	(flag_power_type),d0
	cmp 	1,d0
	beq 	key_up_flag_check
	mov 	(flag_el_bl_time),d0
	cmp 	1,d0
	beq 	key_up_flag_check
	mov 	(flag_wait_time),d0
	cmp 	1,d0
	beq 	key_up_flag_check
	mov 	(flag_timer_on),d0
	cmp 	1,d0
	beq 	key_enter_timer_on
	mov 	(flag_timer_off),d0
	cmp 	1,d0
	beq 	key_enter_timer_off
	mov 	(flag_error),d0
	cmp 	1,d0
	beq 	display_section
key_enter_main: 					#####################Enter:C
	mov 	(mode_num),d0
	cmp 	1,d0
	beq 	key_enter_main_rom
key_enter_bug_check: 				#RuputerOSɂ̓oOBAUTO TMR -> AUTO OFFKpȂB
									#ŁAALWAYSoRB
	mov 	(flag_bug),d0
	cmp 	1,d0
	bne 	key_enter_main2
	sub 	d0,d0
	mov 	d0,(iny_buffer+30) 		#ALWAYSɐݒ肷

	jsr 	teikei_2
#	mov		(sysctl_address),a0
#	mov		(SYS_RupDefine,a0),a1
#	mov 	iny_buffer,a0
#	mov 	(read_write_range),d1
#	jsr 	copy_data
#	jsr 	call_setpowerstandby
	mov 	1,d0
	mov 	d0,(iny_buffer+30) 		#ꂩēxAUTOOFF֕ςɂB
key_enter_main2:
	mov 	(mode_num),d0
	cmp 	0,d0
	beq 	key_enter_main_ram
	cmp 	2,d0
	beq 	key_enter_main_ram_rom
key_enter_main_ram:
	jsr 	teikei_2
#	mov		(sysctl_address),a0
#	mov		(SYS_RupDefine,a0),a1
#	mov 	iny_buffer,a0
#	mov 	(read_write_range),d1
#	jsr 	copy_data 				#RAMɃCg
#	jsr 	call_setpowerstandby 	#RAM̓eVXeɈꎞKp
	jmp 	key_enter_main_common
key_enter_main_rom:
	mov 	app_iny_pass,a1
	mov 	iny_buffer,a2
	mov 	(read_write_range),d1
	jsr 	write_iny 				#ROMɃCg
	jmp 	key_enter_main_common 	#VXeւ̓KpȂBƊ댯ˁB
key_enter_main_ram_rom:
	mov 	app_iny_pass,a1
	mov 	iny_buffer,a2
	mov 	(read_write_range),d1
	jsr 	write_iny 				#ROMɃCg
	jsr 	teikei_2
#	mov		(sysctl_address),a0
#	mov		(SYS_RupDefine,a0),a1
#	mov 	iny_buffer,a0
#	mov 	(read_write_range),d1
#	jsr 	copy_data 				#RAMɂCg
#	jsr 	call_setpowerstandby 	#ɃVXeɓKp
	jmp 	key_enter_main_common
key_enter_main_common:
	mov 	0,d2
	jmp 	exit
key_enter_timer_on:
	sub 	d0,d0
	mov 	d0,(flag_timer_on)
	mov 	d0,(csr_x)
	mov 	iny_buffer_shadow,a1
	jsr 	timer_equal_check
	cmp 	1,d0
	beq 	key_enter_timer_error
	jmp 	key_up_common
key_enter_timer_off:
	sub 	d0,d0
	mov 	d0,(flag_timer_off)
	mov 	d0,(csr_x)
	mov 	iny_buffer_shadow,a1
	jsr 	timer_equal_check
	cmp 	1,d0
	beq 	key_enter_timer_error
	jmp 	key_up_common
key_enter_timer_error:
	mov 	1,d0
	mov 	d0,(flag_error)
	jmp 	display_section
key_menu: 							#############################################Menu
	cmp 	K_MENU,d0 				#MenuȂA܂I
	bne 	key_filer
key_menu_flag_check:
	mov 	(flag_power_type),d0
	cmp 	1,d0
	beq 	key_dw_flag_check
	mov 	(flag_el_bl_time),d0
	cmp 	1,d0
	beq 	key_dw_flag_check
	mov 	(flag_wait_time),d0
	cmp 	1,d0
	beq 	key_dw_flag_check
	mov 	(flag_timer_on),d0
	cmp 	1,d0
	beq 	key_menu_timer_on
	mov 	(flag_timer_off),d0
	cmp 	1,d0
	beq 	key_menu_timer_off
	mov 	(flag_error),d0
	cmp 	1,d0
	beq 	key_dw_error
key_menu_main: 						#####################Menu:C
	mov 	1,d2
	jmp 	exit
key_menu_timer_on:
	sub 	d0,d0
	mov	 	d0,(flag_timer_on)
	mov 	d0,(csr_x)
	jmp 	display_section
key_menu_timer_off:
	sub 	d0,d0
	mov 	d0,(flag_timer_off)
	mov 	d0,(csr_x)
	jmp 	display_section
key_filer: 							#############################################Filer
	cmp 	K_FILER,d0 				#FilerłŏIB
	bne 	keyin_end
	jmp 	key_enter_flag_check
keyin_end:
	jmp 	display_section

#==================================
#	Keyin & FileriqvZXver)
#==================================
#C[`Â炭Ȃ̂ŁBǂقƂǒ^B
keyin_and_filer:
	mov 	-1,d0
	mov 	0xfa,d1
	jsr 	call_keyin 				#KeyinĂяoBd0 ->lX̃Cxgl
	mov 	d0,(keyin_workarea) 	#Keyin̒lۊǁBAhX
on_a_dock:
	movbu 	(RXD_PORT),d1			#hbLOXe[VɏꍇAI
	btst 	ON_DS,d1				#eventexecOɎs˂΂ȂȂB
	beq 	filer_el
	
	mov 	1,d2
	jmp 	exit 					#exitjsr͎gȂƁB
filer_el:
	movbu 	(KEY_PORT),d1 			#ELL[𐶂ĂƁAEL`[ŃNbV邼Bǂ݂őΉB
	btst 	KEY_EL,d1
	beq 	filer_key_pass 

	mov 	1,d2
	jmp 	exit					#ELL[͑IBƂɂAIIB
filer_key_pass:
	cmp 	K_FILER,d0 				#FILERL[H
	bne 	filer_eventcall
	jmp 	another_events 			#qvZX͂уt@C[ubN
filer_eventcall:
	sub 	d1,d1
	jsr 	call_eventcall 			#d0=֐l(0,1,-1)
	cmp 	1,d0 					#1:(t@C[Cxgsv)
	beq 	filer_eventexec 
	cmp 	-1,d0 					#-1:(AvIv)
	beq 	exit
	jmp 	another_events 			#0(t@C[֘AȂ)
filer_eventexec:
	jsr 	call_gv_put 			#t@C[CxĝŁAbiosoRňxo
	jsr 	call_eventexec 			#1()-1(I)
	cmp 	-1,d0 					#-1?
	beq 	exit
	jmp 	another_events


#=======================
#	ŗLf[^
#=======================
#̃Aṽf[^

title_main				:	.asciz "power set list"
title_select 			: 	.asciz "select mode"
title_type 				: 	.asciz "select type"
title_time 				: 	.asciz "select time"
title_input_time 		: 	.asciz "input time"
title_error 			: 	.asciz "error"

char_ram 				: 	.asciz "RAM (RupDefine) " 				#Â炢...ʁB
char_rom 				: 	.asciz "ROM (SYSTEM.INI)"
char_ram_and_rom 		: 	.asciz "RAM + ROM       "

char_power_type 		: 	.asciz "Power Type"
char_time_check 		: 	.asciz "Time Check"
char_el_bl_time	 		: 	.asciz "EL BL Time" 					#BL... - BobNCgłB
char_wait_time 			: 	.asciz "Wait Time "
char_timer_on 			: 	.asciz "Timer ON  "
char_timer_off	 		: 	.asciz "Timer OFF "

char_always 			: 	.asciz " ALWAYS " 						#POWER_TYPE
char_auto_off 			: 	.asciz "AUTO OFF"
char_auto_tm	 		:	.asciz "AUTO TMR"

char_on 				: 	.asciz "ON " 							#TIME_CHECK
char_off 				: 	.asciz "OFF"

char_el_manual 			: 	.asciz "MANUAL" 						#EL_BL_TIME
char_el_1sec	 		: 	.asciz " 1 sec"
char_el_2sec 			: 	.asciz " 2 sec"
char_el_3sec 			: 	.asciz " 3 sec"
char_el_4sec	 		: 	.asciz " 4 sec"
char_el_5sec 			: 	.asciz " 5 sec"
char_el_6sec 			: 	.asciz " 6 sec"
char_el_7sec	 		: 	.asciz " 7 sec"
char_el_8sec 			: 	.asciz " 8 sec"
char_el_9sec 			: 	.asciz " 9 sec"
char_el_10sec	 		: 	.asciz "10 sec"

char_10sec 				: 	.asciz "10 sec" 						#WAIT_TIME
char_20sec 				: 	.asciz "20 sec"
char_30sec 				: 	.asciz "30 sec"
char_1min 				: 	.asciz " 1 min"
char_2min 				:	.asciz " 2 min"
char_3min	 			: 	.asciz " 3 min"
char_4min 				: 	.asciz " 4 min"
char_5min 				: 	.asciz " 5 min"
char_6min 				: 	.asciz " 6 min"
char_7min 				: 	.asciz " 7 min"
char_8min 				: 	.asciz " 8 min"
char_9min 				: 	.asciz " 9 min"
char_10min 				: 	.asciz "10 min" 						#Ƃ蔲BuKbJv

char_error1 			: 	.asciz "BadValue:ON=OFF"
char_error2 			: 	.asciz ">FAILED"
right_arrow				:	.byte 0x7c,0x38,0x10 					#E

	.align 2

mode_num 				: 	.short 0 								#ŏcsr_yB(0:RAM, 1:ROM, 2:RAM+ROM)

csr_x 					:	.short 0
csr_x_max 				: 	.short 4 								#XX:XX

csr_y					: 	.short 0
csr_y_max_select 		: 	.short 3 								#ۂ n-1 ( n = MAX )
csr_y_max_always 		: 	.short 3
csr_y_max_autooff 		: 	.short 4
csr_y_max_autotimer 	: 	.short 6

first_power_type 		: 	.short 0 								#ǂݍݎ̃[hݒiOSoO΍j

power_type_max 	 		: 	.short 3
time_check_max 			: 	.short 2
el_bl_time_max 			: 	.short 11
wait_time_max 			: 	.short 13

flag_select 			: 	.short 1
flag_read 				: 	.short 0 								#[hZNgʂ烊Xgʂ܂ł̊ԂňxLɂȂB
flag_power_type 		: 	.short 0
flag_el_bl_time 		: 	.short 0
flag_wait_time 	 		: 	.short 0
flag_timer_on 			: 	.short 0
flag_timer_off 	 		: 	.short 0
flag_error 				: 	.short 0
flag_bug 				: 	.short 0 								#OSoOtOiʓ|Ȃ..j

iny_buffer 				:	.fill 256,1,0
iny_buffer_shadow 		: 	.fill 44,1,0 							#ʂ256bytesׂSHADOWKvȂB
read_write_range_shadow	: 	.short 44
read_write_range 		: 	.short 256								#RupDefineSYSTEM.INI256bytes
app_iny_pass 			:	.asciz "B:\\SYSTEM\\SYSTEM.INI" 		#IN"I"Ȃ񂾂ǂˁ[

	.align 2

#===============================================================
#						ŗLTu[`
#===============================================================
#===============================
# 	^Q
#===============================
#^#2ATCYyʉ̂߁B
teikei_2:
	mov		(sysctl_address),a0
	mov		(SYS_RupDefine,a0),a1
	mov 	iny_buffer,a0
	mov 	(read_write_range),d1
	jsr 	copy_data
	jsr 	call_setpowerstandby
	rts

#===============================
# 	^P
#===============================
#^#1ATCYyʉ̂߁B
teikei_1:
	jsr 	str2vram
	add 	4,a0
	mov 	right_arrow,a1
	jsr 	symbol2vram4x8
	add 	2,a0
	mov 	iny_buffer,a1
	rts

#===============================
# 	CALL setPowerStandby
#===============================
#RupsyssetPowerStandby()Ă

call_setpowerstandby:
	mov 	(sysctl_address),a0
	mov 	(SYS_setPowerStandby,a0),a2
	jsr 	(a2)
	rts

#===============================
# 	loop up bhi 
#===============================
#a0:ύX(2byte)
#d1:MAX
#d2:ADDTCY(n-1𒼐ڋLq)
loop_up_bhi:
	mov 	(a0),d0
	add 	d2,d0
	bns 	loop_up_bhi_2
	cmp 	d1,d0
	bhi 	loop_up_bhi_over
	jmp 	loop_up_bhi_2
loop_up_bhi_over:
	mov 	d1,d0
loop_up_bhi_2:
	mov 	d0,(a0)
	rts

#===============================
# 	loop dw ble 
#===============================
#a0:ύX(2byte)
#d1:MIN(L)
#d2:SUBTCY
loop_dw_ble:
	mov 	(a0),d0
	sub 	d2,d0
	cmp 	d1,d0
	ble 	loop_dw_ble_over
	jmp 	loop_dw_ble_2
loop_dw_ble_over:
 	mov 	d1,d0
loop_dw_ble_2:
	mov 	d0,(a0)
	rts

#==============================
# 	 TIMER EQUAL CHECK
#==============================
#I[g^C}[̊JnԂƏIԂ͏dȂĂ͂ȂȂB
#ŁȀԂ`FbNAdȂ悤ȂG[Ԃ֐BꂪB
#íj
#a1:Kpobt@
#iój
#d0: 0(j /  1(ُ)
timer_equal_check:
 	mov 	(34,a1),d0
 	mov 	(38,a1),d1
 	cmp 	d1,d0
 	bne 	timer_equal_check_end0
 	mov 	(36,a1),d0
 	mov 	(40,a1),d1
 	cmp 	d1,d0
 	bne 	timer_equal_check_end0
timer_equal_check_end1:
	mov 	1,d0
	rts
timer_equal_check_end0:
	sub 	d0,d0
	rts

#==============================
# 		DISP POWER TYPE
#==============================
#p[^Cvo
#íj
#a0:]VRAM
#a1:Kpobt@
disp_power_type:
	mov 	a1,a2
	mov 	'[',d1
	jsr 	moji2vram4x8
	mov 	a2,a1
	mov 	(30,a1),d0
	mov 	char_always,a1
	cmp 	0,d0
	beq 	disp_power_type2
	mov 	char_auto_off,a1
	cmp 	1,d0
	beq 	disp_power_type2
	mov 	char_auto_tm,a1
disp_power_type2:
	jsr 	str2vram
	
	add 	1,a0
	mov 	']',d1
	jsr 	moji2vram4x8
	rts

#==============================
# 		DISP TIME CHECK
#==============================
#^C`FbNONOFFo
#íj
#a0:]VRAM
#a1:Kpobt@
disp_time_check:
	mov 	a1,a2
	mov 	'[',d1
	jsr 	moji2vram4x8
	mov 	a2,a1
	
	add 	10,a0
	
	mov 	(28,a1),d0
	mov 	char_off,a1
	cmp 	0,d0
	beq 	disp_time_check2
	mov 	char_on,a1
disp_time_check2:
	jsr 	str2vram
	
	add 	11,a0
	mov 	']',d1
	jsr 	moji2vram4x8
	rts
#==============================
# 		DISP EL BL TIME
#==============================
#ELobNCg_Ԃo
#íj
#a0:]VRAM
#a1:Kpobt@
disp_el_bl_time:
	mov 	a1,a2
	mov 	'[',d1
	jsr 	moji2vram4x8
	mov 	a2,a1
	
	add 	4,a0
	
	mov 	(42,a1),d0
	mov 	char_el_manual,a1
	cmp 	0,d0
	beq 	disp_el_bl_time2
	mov 	char_el_1sec,a1
	cmp 	1,d0
	beq 	disp_el_bl_time2
	mov 	char_el_2sec,a1
	cmp 	2,d0
	beq 	disp_el_bl_time2
	mov 	char_el_3sec,a1
	cmp 	3,d0
	beq 	disp_el_bl_time2
	mov 	char_el_4sec,a1
	cmp 	4,d0
	beq 	disp_el_bl_time2
	mov 	char_el_5sec,a1
	cmp 	5,d0
	beq 	disp_el_bl_time2
	mov 	char_el_6sec,a1
	cmp 	6,d0
	beq 	disp_el_bl_time2
	mov 	char_el_7sec,a1
	cmp 	7,d0
	beq 	disp_el_bl_time2
	mov 	char_el_8sec,a1
	cmp 	8,d0
	beq 	disp_el_bl_time2
	mov 	char_el_9sec,a1
	cmp 	9,d0
	beq 	disp_el_bl_time2
	mov 	char_el_10sec,a1
disp_el_bl_time2:
	jsr 	str2vram
	
	add 	5,a0
	mov 	']',d1
	jsr 	moji2vram4x8
	rts

#==============================
# 		DISP WAIT TIME
#==============================
#I[gp[It̑҂Ԃo
#íj
#a0:]VRAM
#a1:Kpobt@
disp_wait_time:
	mov 	a1,a2
	mov 	'[',d1
	jsr 	moji2vram4x8
	mov 	a2,a1
	add 	4,a0
	mov 	(32,a1),d0
	mov 	char_10sec,a1
	cmp 	0,d0
	beq 	disp_wait_time2
	mov 	char_20sec,a1
	cmp 	1,d0
	beq 	disp_wait_time2
	mov 	char_30sec,a1
	cmp 	2,d0
	beq 	disp_wait_time2
	mov 	char_1min,a1
	cmp 	3,d0
	beq 	disp_wait_time2
	mov 	char_2min,a1
	cmp 	4,d0
	beq 	disp_wait_time2
	mov 	char_3min,a1
	cmp 	5,d0
	beq 	disp_wait_time2
	mov 	char_4min,a1
	cmp 	6,d0
	beq 	disp_wait_time2
	mov 	char_5min,a1
	cmp 	7,d0
	beq 	disp_wait_time2
	mov 	char_6min,a1
	cmp 	8,d0
	beq 	disp_wait_time2
	mov 	char_7min,a1
	cmp 	9,d0
	beq 	disp_wait_time2
	mov 	char_8min,a1
	cmp 	10,d0
	beq 	disp_wait_time2
	mov 	char_9min,a1
	cmp 	11,d0
	beq 	disp_wait_time2
	mov 	char_10min,a1
disp_wait_time2:
	jsr 	str2vram
	add 	5,a0
	mov 	']',d1
	jsr 	moji2vram4x8
	rts
#==============================
# 		DISP TIMER ON
#==============================
#I[g^C}[̃^C}[IԂo
#íj
#a0:]VRAM
#a1:Kpobt@
disp_timer_on:
	mov 	a1,a2
	mov 	'[',d1
	jsr 	moji2vram4x8
	mov 	a2,a1
	
	add 	6,a0
	
	jsr 	reset_mdr_with_d0
	mov 	(34,a1),d1
	mov 	a1,a2
	mov 	10,d3
	divu 	d3,d1
	mov 	mdr,d3
	jsr 	num2vram4x8
	mov 	d3,d1
	jsr 	num2vram4x8
	
	mov 	':',d1
	jsr 	moji2vram4x8
	mov 	a2,a1
	
	jsr 	reset_mdr_with_d0
	mov 	(36,a1),d1
	mov 	10,d3
	divu 	d3,d1
	mov 	mdr,d3
	jsr 	num2vram4x8
	mov 	d3,d1
	jsr 	num2vram4x8
	
	add 	7,a0
	
	mov 	']',d1
	jsr 	moji2vram4x8
	
	rts
#==============================
# 		DISP TIMER OFF
#==============================
#I[g^C}[̃^C}[ItԂo
#íj
#a0:]VRAM
#a1:Kpobt@
disp_timer_off:
	mov 	a1,a2
	mov 	'[',d1
	jsr 	moji2vram4x8
	mov 	a2,a1
	
	add 	6,a0
	
	jsr 	reset_mdr_with_d0
	mov 	(38,a1),d1
	mov 	a1,a2
	mov 	10,d3
	divu 	d3,d1
	mov 	mdr,d3
	jsr 	num2vram4x8
	mov 	d3,d1
	jsr 	num2vram4x8
	
	mov 	':',d1
	jsr 	moji2vram4x8
	mov 	a2,a1
	
	jsr 	reset_mdr_with_d0
	mov 	(40,a1),d1
	mov 	10,d3
	divu 	d3,d1
	mov 	mdr,d3
	jsr 	num2vram4x8
	mov 	d3,d1
	jsr 	num2vram4x8
	
	add 	7,a0
	mov 	']',d1
	jsr 	moji2vram4x8
	
	rts
#==============================
# 		LOOP  UP
#==============================
#T^IȃvX[v
#a0:ύX		(2bytes)
#a1:ύX_max	(2bytes)
loop_up:
	mov 	(a0),d0
	mov 	(a1),d1
	add 	-1,d1
	cmp 	d1,d0
	beq 	loop_up_zero
	add 	1,d0
	jmp 	loop_up2
loop_up_zero:
	sub 	d0,d0
loop_up2:
	mov 	d0,(a0)
	rts
#==============================
# 		LOOP  DW
#==============================
#T^Iȃ}CiX[v
#a0:ύX		(2bytes)
#a1:ύX_max	(2bytes)
loop_dw:
	mov 	(a0),d0
	cmp 	0,d0
	beq 	loop_dw_zero
	add 	-1,d0
	jmp 	loop_dw2
loop_dw_zero:
	mov 	(a1),d0
	add 	-1,d0
loop_dw2:
	mov 	d0,(a0)
	rts

#===========================
#	^[R[ht Exit
#===========================
#^[R[htDosExit
#íj
#d2:^[R[h

exit:
	add 	-2,a3
	mov 	d2,(a3)

	mov 	1,d0
	movb 	d0,(0xf080) 			#EVENTREGSTER....H́H
	mov 	0x0001,d1
exit_wbioscall_bi_wrflush:
	mov 	BI_WRFLUSH,d0
	jsr 	call_wbios
exit_doscall_dos_exit:
	mov 	dos_workarea,a0 		#X^bNgƁAŖ߂(add)ɂȂ
	jsr 	reset_dos_workarea
	
	mov 	(a3),d2
	add 	2,a3
	
	movb 	d2,(REG_AL,a0) 			#AL:^[R[h
	
	mov 	DOS_EXIT,d0
	movb 	d0,(1,a0) 				# call_psdos͎gȂƁB
	mov 	20,d0
	add 	-4,a3
	mov 	a2,(0,a3)
	mov 	A_SWINTENT,a2
	jsr 	(a2) 					#`Ȃ`

#=======================
#	Lcd Display io[Wj
#=======================
#vram̑Sf[^(-4)óB
# _s ƁAXgbN̂قo....Ȃo[W

lcd_display:
	mov 	vram+4,a0
lcd_display2:
	mov 	Alcd_c,a1
	mov 	Alcd_d,a2
	
	mov 	0x0014,d3
	mov 	Clcd_page,d2

display_loop:
	movb 	d2,(0,a1)
	mov 	d3,(a1)

	mov 	2,d1 					#[vJE^ 1Zbg2
display_process:
	mov 	(a0),d0
	mov 	d0,(a2)
	mov 	(2,a0),d0
	mov 	d0,(a2)
	mov 	(4,a0),d0
	mov 	d0,(a2)
	mov 	(6,a0),d0
	mov 	d0,(a2)
	mov 	(8,a0),d0
	mov 	d0,(a2)
	mov 	(10,a0),d0
	mov 	d0,(a2)
	mov 	(12,a0),d0
	mov 	d0,(a2)
	mov 	(14,a0),d0
	mov 	d0,(a2)
	mov 	(16,a0),d0
	mov 	d0,(a2)
	mov 	(18,a0),d0
	mov 	d0,(a2)
	mov 	(20,a0),d0
	mov 	d0,(a2)
	mov 	(22,a0),d0
	mov 	d0,(a2)
	mov 	(24,a0),d0
	mov 	d0,(a2)
	mov 	(26,a0),d0
	mov 	d0,(a2)
	mov 	(28,a0),d0
	mov 	d0,(a2)
	mov 	(30,a0),d0
	mov 	d0,(a2)
	mov 	(32,a0),d0
	mov 	d0,(a2)
	mov 	(34,a0),d0
	mov 	d0,(a2)
	mov 	(36,a0),d0
	mov 	d0,(a2)
	mov 	(38,a0),d0
	mov 	d0,(a2)
	mov 	(40,a0),d0
	mov 	d0,(a2)
	mov 	(42,a0),d0
	mov 	d0,(a2)
	mov 	(44,a0),d0
	mov 	d0,(a2)
	mov 	(46,a0),d0
	mov 	d0,(a2)
	mov 	(48,a0),d0 				#[vWJB̕ӂ肪xȁH
	mov 	d0,(a2)


	add 	50,a0
	add 	-1,d1
	bne 	display_process
	
	mov 	(a0),d0
	mov 	d0,(a2)
	add 	2,a0
	
	add 	1,d2
	cmp 	Clcd_page+8,d2 			#8񃋁[vĂƁB
	bne 	display_loop 			#CR[̎ցB

	rts

#=======================
#	ClearVram io[Wj
#=======================
#vramꂢɂB܂AׂĂ0i[..

clear_vram:
	mov 	vram+4,a0 				#a0:vram+4擪
clear_vram2:
	sub 	d0,d0
	
	mov 	408,d1 					#d1:[vJE^(408)
clear_vram_loop:
	mov 	d0,(a0) 				#AhXł͂Ȃ̂ŁB
	add 	2,a0
	add 	-1,d1
	bne 	clear_vram_loop
	rts

#==================
#	Num2Vram4x8
#==================
#ꌅ̐(0-9)ꕶƂVRAMɓ](4x8)Bɏȗ
#()
#d1:o͐iꌅj
#a0:]VRAM

num2vram4x8:
	mov 	d1,d0
	add 	d0,d0
	add 	d1,d0 					#d1x3 ->d0
num2vram4x8_trans:
	mov 	han_e_font+48,a1 		#4x8̐tHg -> a1
num2vram4x8_trans2:
	add 	d0,a1 					#f[^̃AhX␳
	movbu 	(0,a1),d0 				#1bit
	movb 	d0,(0,a0)
	movbu 	(1,a1),d0 				#2bit
	movb 	d0,(1,a0)
	movbu 	(2,a1),d0 				#3bit
	movb 	d0,(2,a0)
	sub 	d0,d0
	movb 	d0,(3,a0) 				#4bit :0x00
num2vram4x8_end:
	add 	4,a0 					#␳
	rts


#=======================
#	YLIBTu[`
#=======================
#=================================================
#		{
#=================================================
#=======================
#	Get PSP
#=======================
#PSPp̗̈Ɋi[B
#sysctl_address(VXe\̃AhX)dvŁA
#ꂪƁAendWaitingȂǂ𗘗pł悤ɂȂB
#filename_address͊gqAɕKvƂȂB

get_psp:
	add 	-20,a3 					#X^bNgidos_workareał悢j
	mov 	a3,a0
	
doscall_dos_get_psp:
	mov 	DOS_GET_PSP,d0
	jsr 	call_psdos
	
get_psp_address:
	mov 	psp_address,a1 			#a1:psp_address
	
	mov 	(REG_ES,a0),d0 			#REG_ES = 14
	movb 	d0,(2,a1)
	
	movb 	(REG_BH,a0),d0 			#REG_BH = 3
	movb 	d0,(1,a1)
	
	movb 	(REG_BL,a0),d0 			#REG_BL = 2
	movb 	d0,(0,a1) 				#pspAhXi[
	
get_sysctl_address:
	mov 	(psp_address),a0	 	#a0:psp擪
	add 	0x82,a0 				#a0:psp̃VXe\̃AhXi[ʒu擪
	mov 	sysctl_address,a2	 	#a2:sysctl_address
	
	jsr 	asciihex2bin
	movb 	d0,(2,a2) 				#tɓĂ炵

	jsr 	asciihex2bin
	movb 	d0,(1,a2)
	
	jsr 	asciihex2bin
	movb 	d0,(0,a2) 				#sysctl_addressi[
	
get_filename_address:
	mov 	(psp_address),a0	 	#a0:psp擪
	mov 	0x88,a0 				#a0:t@Ci[ʒu擪AhX
	mov 	a0,(filename_address) 	#"AhX"filename_addressɊi[BB
	
get_psp_end:
	add 	20,a3 					#X^bN𒼂Ă
	rts 							#܂`
	

#R[hbin(v͕ʂ̐)ɕϊB
asciihex2bin:
	sub 	d0,d0
	mov 	2,d2 					#[vJE^
	
asciihex2bin_select:
	movb 	(0,a0),d1 				#1byteR[hǂ
	add 	1,a0 					#a01i߂
	sub 	'0',d1 					#d10̃R[h(0x30)B'ŊƕR[hɂȂ
	cmp 	10,d1 					#A(0-9)ȂA
	bcs 	asciihex2bin_process 	#skip
	
	sub 	0x07,d1 				#9-AԂ̊J0x07B
	and 	0x0f,d1
	
asciihex2bin_process:
	rol 	d0
	rol 	d0
	rol 	d0
	rol 	d0 						#4bitɃ[e[gB
	and 	0xf0,d0
	or 		d1,d0 					#d1̐d0Ɋi[B 4bitPʂŊi[ĂB
	
asciihex2bin_end:
	add 	-1,d2 					#[v͈B܂1byte
	bne 	asciihex2bin_select
	rts
#=======================
#	Reg Ini
#=======================
#Sf[^WX^ESAhXWX^B
#Aa3(X^bN)͏ȂB
#܂AłMDRB

reg_ini:
	sub 	d0,d0
	sub 	d1,d1
	sub 	d2,d2
	sub 	d3,d3
	mov 	d0,a0
	mov 	d0,a1
	mov 	d0,a2
	mov 	d0,mdr
	rts

#===============================
#	ReadINY
#===============================
#ɐݒt@C(INY)̓ǂݍ݂Ɏg[`B

#ꍇɂĎ4ʂ̓B

#PFwt@C(INY)݂ĂȂꍇ
#-> VwƓETCỸt@C쐬Eobt@̏lɏ]ď

#QFwt@C݂͑Ă邪AwTCYt@CTCY(܂ÂINY)ꍇ
#-> ł̃f[^pAVłɃAbvf[g

#RFwt@C݂͑Ă邪AĂēǂ߂ȂB邢́AgȂi0bytej
#-> VINYt@Cŏ㏑ij

#SFwǂ̃t@C݂Ăꍇ
#-> ʂɂǂݍށiőj

#íj
#a1:I[vt@C̃pXi[̈̃AhX
#a2:I[vt@C[hobt@̃AhXiobt@̓[h͈͈ȏł邱Ɓj
#d1:[h͈(1byte - 32kbyte)
#iój
#d0: ( 0: , 1:I𐄏,ȂvIȃG[ j

read_iny:
	sub 	d0,d0
	mov 	d0,(c_flag) 			#ėptOBł͏݂̗LB
	add 	-12,a3
	
	mov 	a1,(a3) 				#push: &filename
	mov 	a2,(4,a3) 				#push: &buffer
	mov 	d1,(8,a3)  				#push: range
									#c2byte̓t@Cnhp

read_iny_open: 						#INYt@COPEN悤Ǝ݂
	jsr 	reset_dos_workarea
	mov 	dos_workarea,a0
	mov 	0x0000,d0 				#00:[R]
	movb 	d0,(REG_AL,a0) 			#(00:R,01:W,02:R/W)		->AL :8bitWX^
	mov 	(a3),d0 				#pop:&filename(16bit)
	mov 	d0,(REG_DX,a0) 			#&filename 0xXXXX		->DX :16bitWX^
	mov 	(2,a3),d0 				#pop:&filename(8bit + ??)
	mov 	d0,(REG_DS,a0) 			#&filename 0xXX??	->DS :16bitWX^
read_iny_call_dos_open:
	mov 	DOS_OPEN,d0 			#dos_open : 0x3D
	jsr 	call_psdos

read_iny_open_end:
	mov 	(REG_CF,a0),d0 			#CF = (0: , 1=s)
	cmp 	1,d0 					#sH
	beq 	read_iny_create			#,t@CȂBɍsBi{AXWX^̃G[eǂ񂾂قǂj
	
	mov 	(REG_AX,a0),d0
	mov 	d0,(10,a3) 				#push : file_handle
	
#	jmp 	read_iny_read 			#̂Ȃǂ

read_iny_read: 						#ǂł݂
	jsr 	reset_dos_workarea
	mov 	dos_workarea,a0
	mov 	(10,a3),d0 				#pop:t@Cnh
	mov 	d0,(REG_BX,a0) 			#file_handle 			-> BX :16bitWX^
	
	mov 	(8,a3),d0 				#pop : range
	mov 	d0,(REG_CX,a0) 			#range -> CX:16bitWX^
	
	mov 	(4,a3),d0 
	mov 	d0,(REG_DX,a0) 			#&buffer 0xXXXX		->DX :16bitWX^
	mov 	(6,a3),d0 
	mov 	d0,(REG_DS,a0) 			#&buffer 0xXX??		->DS :16bitWX^
	
read_iny_call_dos_read:
	mov 	DOS_READ,d0 			#dos_read : 0x3F
	jsr 	call_psdos

read_iny_read_end:
	mov 	(REG_CF,a0),d0
	cmp 	1,d0 					#1FREAD̂̂s
	beq 	read_iny_close 			#,Ɉُ킪̂낤..i{AXWX^...j

	mov 	(REG_AX,a0),d0 			#AXWX^ : ۂɓǂݍ񂾃oCg
	mov 	(8,a3),d1 				#ǂݍނ͂oCg

	cmp 	d1,d0 					#҂rĂ݂B
	bne 	read_iny_close 			#vȂiƂ͂肦Ȃ̂,ǂ񂾗ʂȂj->INYAbvf[gKv

	jmp 	read_iny_close2 		#Ȃǂ߂(c_flag=0)ɍs


read_iny_close: 					#Jt@C͕B
	jsr 	reset_dos_workarea
	mov 	dos_workarea,a0
	mov 	(10,a3),d0 				#pop:file_handle
	mov 	d0,(REG_BX,a0) 			# 				->BXWX^
read_iny_call_dos_close:
	mov 	DOS_CLOSE,d0 			#dos_close : 0x3e
	jsr 	call_psdos

read_iny_close_end:
	mov 	(REG_CF,a0),d0 			#CFWX^i0: , 1:ُj
	cmp 	1,d0
	beq 	read_iny_end_err 		#N[YłȂƂ...
	
#	jmp 	read_iny_create

read_iny_create: 					#㏑̂createBcrnewł͂ȂB
	jsr 	reset_dos_workarea
	mov 	dos_workarea,a0

	mov 	(a3),d0 				#pop:&filenamei16bitj
	mov 	d0,(REG_DX,a0) 			#&filename 0xXXXX		->DX :16bitWX^
	mov 	(2,a3),d0 				#pop:&filenamei8bit + ??j
	mov 	d0,(REG_DS,a0) 			#&filename 0xXX??	->DS :16bitWX^
	sub 	d0,d0 					#t@C :00(ʏ)
	mov 	d0,(REG_CX,a0) 			#0000 					->CX :16bitWX^
read_iny_call_dos_create:
	mov 	DOS_CREATE,d0 			#dos_create : 0x40
	jsr 	call_psdos

read_iny_create_end:
	mov 	(REG_CF,a0),d0 			#CFWX^ : (0: , 1:s)
	cmp 	1,d0
	beq 	read_iny_end_err 		#쐬Ɏsł...

	mov 	(REG_AX,a0),d0 			#AXWX^ : t@Cnh
	mov 	d0,(10,a3) 				#push:file_handle
#	jmp 	read_iny_write 			#ł͋B

read_iny_write: 					#Abvf[gړIŗ鎞ɂ̓obt@ɋł̓eԂɂB(readj
	jsr 	reset_dos_workarea
	mov 	dos_workarea,a0
	
	mov 	(4,a3),d0 				#pop : &buffer 0xXXXX
	mov 	d0,(REG_DX,a0) 			# 						->DXWX^
	mov 	(6,a3),d0 				#pop : &buffer 0xXX + ??
	mov 	d0,(REG_DS,a0) 			#&buffer 0xXX?? 	->DSWX^

	mov 	(8,a3),d0 				#pop : range
	mov 	d0,(REG_CX,a0) 			# 						->CXWX^
	
	mov 	(10,a3),d0 				#pop : filehandle
	mov 	d0,(REG_BX,a0) 			# 						->BXWX^
	
read_iny_call_dos_write:
	mov 	DOS_WRITE,d0 			# dos_write :0x40
	jsr 	call_psdos

read_iny_write_end:
	mov 	(REG_CF,a0),d0 			#CF = (0: , 1=s)
	cmp 	1,d0 					#sH
	beq 	read_iny_end_err		#sȂ΁A^[R[h1ŔB

	mov 	1,d0
	mov 	d0,(c_flag) 			#񂾂珑݃tO𗧂Ă

#	jmp 	read_iny_close2 		#Lb`ɍs

read_iny_close2: 					#KJt@C͕邱ƁB
	jsr 	reset_dos_workarea
	mov 	dos_workarea,a0
	mov 	(10,a3),d0 				#pop:file_handle
	mov 	d0,(REG_BX,a0) 			# 				->BXWX^
read_iny_call_dos_close2:
	mov 	DOS_CLOSE,d0 			#dos_close : 0x3e
	jsr 	call_psdos

read_iny_close2_end:
	mov 	(REG_CF,a0),d0 			#CFWX^i0: , 1:ُj
	cmp 	1,d0
	beq 	read_iny_end_err 		#N[YłȂƂ...
	
	mov 	(c_flag),d0
	cmp 	0,d0
	beq 	read_iny_end 			#[ĥ݂Awrflush̓XLbv
	
#	jmp 	read_iny_wrflush

read_iny_wrflush: 					#Ŝ...ƂAƂB
	mov 	BI_WRFLUSH,d0
	jsr 	call_wbios

	sub 	d0,d0
	mov 	d0,(c_flag) 			#Ô߁iAY邩Ȃj

#	jmp 	read_iny_end

read_iny_end:
	add 	12,a3
	sub 	d0,d0 					#A^[R[h 0
	rts
read_iny_end_err:
	add 	12,a3
	mov 	1,d0 					#sA^[R[h 1
	rts

#===================================
#	ClearVram(Even_version)
#===================================
#clear_vram_p̋o[WB
#JANÁ͈Aǂ̂݁B̑Aclear_vram_p荂B
#VRAMa0łȂAa1ł邱ƂɒӁBa0ɂ͉eȂB
#̃[`d0,d1,a1gpȂB
#íj
#a1:wVRAM擪(even_only)
#d1:NA͈(2..4..6.. even_only)

clear_vram_e:
	sub 	d0,d0
clear_vram_e_loop:
	mov 	d0,(a1)
	add 	2,a1
	add 	-2,d1
	bne 	clear_vram_e_loop
clear_vram_e_end:
	rts
#=======================
#	ResetDosWorkArea
#=======================
#BSS̈dos_workarea0NA邽߂̃[`

reset_dos_workarea:
	mov 	dos_workarea,a1
	mov 	20,d1
	jsr 	clear_vram_e 			#VRAMȂǂˁB
	rts

#=================================================
#		̑
#=================================================
#==================
#	moji2vram4x8
#==================
#R[hɍf[^VRAMɓ]Bꕶp
#ppEpJi4x8
#íj
#d1:R[h
#a0:o͐VRAM

moji2vram4x8:
	cmp 	0xa0,d1 				#M.J.R[h͔pJiȂ̂HŏIk(ry
	bhi 	moji2vram4x8_hankana
	
moji2vram4x8_asciie: 				#pJiłȂ
	mov 	han_e_font,a1 			#pptHg -> a1
	sub 	0x20,d1 				#SP0x20ŁA𑊑ΈʒůɂB
	mov 	d1,d0
	add 	d1,d1 
	add 	d0,d1 					#x3
	add 	d1,a1
	
	movbu 	(0,a1),d0 				#1byte
	movb 	d0,(a0)
	
	movbu 	(1,a1),d0 				#2byte
	movb 	d0,(1,a0)
	
	movbu 	(2,a1),d0 				#3byte
	movb 	d0,(2,a0)
	
	sub 	d0,d0 					#4byte(0x00)
	movb 	d0,(3,a0)
	
	add 	4,a0
	
	rts
	
moji2vram4x8_hankana:
	mov 	han_k_font,a1
	sub 	0xa1,d1 				#pJi0xa1Ȃ̂ŁAɂ
	mov 	d1,d0 
	add 	d1,d1 					#p̏ꍇƓlx3
	add 	d0,d1
	add 	d1,a1 
	
	movbu 	(0,a1),d0 				#1byte
	movb 	d0,(a0) 
	
	movbu 	(1,a1),d0 				#2bytes
	movb 	d0,(1,a0)
	
	movbu 	(2,a1),d0 				#3bytes
	movb 	d0,(2,a0)
	
	sub 	d0,d0 					#4byte(0x00)
	movb 	d0,(3,a0)
	
	add 	4,a0
	
	rts

#=======================
#	Str2Vram
#=======================
#.ascizŎw肳ꂽf[^𔻕ʂA
#ɍtHgf[^vram̎w̍Wɓ]B
#AAsciiƔpJî݁B

#íj
#a0:]VRAM
#a1:eLXg̐擪AhX

str2vram:
	movbu 	(0,a1),d0
	add 	1,a1
	cmp 	0,d0 					#NULLH
	beq 	str2vram_end

str2vram_code:
	cmp 	0xa0,d0 				#R[h͔pJiH
	bhi 	str2vram_hankana
	
str2vram_asciie: 					#pJiłȂioỎɂȂ肻j
	mov 	han_e_font,a2 			#pptHg -> a2
	sub 	0x20,d0 				#SP0x20ŁA𑊑ΈʒůɂB
	mov 	d0,d1
	add 	d0,d0 
	add 	d1,d0
	add 	d0,a2 					#m
	
	movbu 	(0,a2),d0
	movb 	d0,(a0)
	
	movbu 	(1,a2),d0 				#2bytes
	movb 	d0,(1,a0)
	
	movbu 	(2,a2),d0 				#3bytes
	movb 	d0,(2,a0)
	
	sub 	d0,d0 					#4bytes(0x00)
	movb 	d0,(3,a0)
	
	add 	4,a0
	jmp 	str2vram
	
str2vram_hankana:
	mov 	han_k_font,a2
	sub 	0xa1,d0 				#pJi0xa1Ȃ̂ŁAɂ
	mov 	d0,d1
	add 	d0,d0 
	add 	d1,d0 					#p̏ꍇƓl
	add 	d0,a2 
	
	movbu 	(0,a2),d0 				#1byte
	movb 	d0,(a0) 
	
	movbu 	(1,a2),d0 				#2bytes
	movb 	d0,(1,a0)
	
	movbu 	(2,a2),d0 				#3bytes
	movb 	d0,(2,a0)
	
	sub 	d0,d0 					#4byte(0x00)
	movb 	d0,(3,a0)
	
	add 	4,a0
	
	jmp 	str2vram

str2vram_end:
	rts

#=======================
#	D0x10 with D1
#=======================
#d1WX^gpd0WX^̒l10{
#܂ɂ10{̎gppx̂COMMONB
#jsrrtsŋtɒxC邪AZƏZɂ͉R̂B

d0x10_with_d1: 							#10{Ł[
	add 	d0,d0 						#x2
	mov 	d0,d1
	add 	d0,d0 						#x4
	add 	d0,d0 						#x8
	add 	d1,d0 						#x10
	rts

#=======================
#	Reset MDR with D0
#=======================
#ZDIVU͏ZOMDR̒lʂɉeB
#͏ZAĎgꍇɂ͏ꍇ邩ȂA
#ł͂Ȃ̏ꍇAݓIȃoǑɂȂB.....܂ɍE㩁IiƁAقǂłȂj

reset_mdr_with_d0:
	sub 	d0,d0
	mov 	d0,mdr
	rts

#===============================
#	Copy Data
#===============================
#w̃f[^Rs[
#a0:Rs[f[^
#a1:Rs[f[^
#d1:Rs[͈

copy_data:
	mov 	(a0),d0
	mov 	d0,(a1)
	add 	2,a0
	add 	2,a1
	add 	-2,d1
	bne 	copy_data
	rts

#======================================
#	Call Rupsys
#======================================
#=======================
#	Call endWaiting
#=======================
#rupsysendWaitingĂ

call_endwaiting:
	mov 	(sysctl_address),a0
	mov 	(SYS_endWAIT,a0),a2 	#Tu[`"AhX"Ă悤
	jsr 	(a2) 					#ŁÃ[`R[BOKB
	rts
#=======================
#	Call Keyin
#=======================
#rupsysKeyinĂԁB
#íj
#d0:uNo^(OFF:-1)
#d1:Âo^(OFF:0)
#߂l:d0=Cxgl

call_keyin:
	mov 	(sysctl_address),a0 	#VXe\
	mov 	(SYS_Keyin,a0),a2 		#KeyinBȂƂȂa2ŁB
	add 	-8,a3 					#KeyiñR[ɂ8bytesKvB
	mov 	d0,(4,a3) 
	mov 	d1,(6,a3)
	jsr 	(a2) 					#Keyin....
	add 	8,a3
	rts 							#d0ɃCxg̒li[ꂽԂrts
#========================
#	Call EventCall
#========================
#rupsysEventCallĂԁB
#íj
#d0=KeyiñCxgl
#߂l:d0=֐l (0,1,-1)

call_eventcall:
	mov 	(sysctl_address),a0 	#VXe\
	mov 	(SYS_EventCall,a0),a2 
	add 	-6,a3
	mov 	d0,(4,a3)
	jsr 	(a2) 					#CALL!
	add 	6,a3
	rts 							#d0Ɋ֐l܂ܖ߂
	
#========================
#	Call EventExec
#========================
#rupsysEventExecĂԁB
#íj:Ȃ
#߂l:d0 0()  -1(Iv)Ԃ

call_eventexec:
	mov 	(sysctl_address),a0
	mov 	(SYS_EventExec,a0),a2
	add 	-4,a3
	jsr 	(a2)
	add 	4,a3
	rts 							#d0ɒlĖ߂


#======================================
#	Call Lcdbios
#======================================	
#==========================
#	Call gv_put
#==========================
#lcdbiosgv_putĂԁB
#vram+4ł͂ȂÂ܂܎w肷Bmmpwb_KvB

call_gv_put:
	add 	-12,a3 					#lcdbiosp̃GA
	mov 	a3,a0 
	
	mov 	102,d0
	mov 	d0,(vram) 
	mov 	64,d0 					#102x64mmpƂĔF
	mov 	d0,(vram+2)
	
	mov 	LCD_GV_PUT,d0
	mov 	d0,(0,a0) 				#(0,a0):@\ԍ(71) ,a0͊Ԓnł͂ȂB
	sub 	d0,d0
	mov 	d0,(2,a0) 				#(2,a0):XW(0)
	mov 	d0,(4,a0) 				#(4,a0)YW(0)
	mov 	d0,(10,a0) 				#(10,a0):s
	mov 	vram,a1
	mov 	a1,(6,a0) 				#(6,a0):mmpAhX (&vram)
	
call_gv_put_lcdcall:
	mov 	22,d0 					#call_lcdbios
	add 	-4,a3
	mov 	a2,(a3)
	mov 	A_SWINTENT,a2
	jsr 	(a2)
	
call_gv_put_end:
	add 	12,a3
	rts
#==========================
#	Call gv_get
#==========================
#lcdbiosgv_getĂсAʂobt@ɃQbgB
#íj
#a0:obt@̃AhXi820bytesȏj

call_gv_get:
	add 	-14,a3 					#X^bNŗǂ낤
	mov 	LCD_GV_GET,d0
	mov 	d0,(a3)
	sub 	d0,d0
	mov 	d0,(2,a3) 				#X_start
	mov 	d0,(4,a3) 				#Y_start
	mov 	101,d0
	mov 	d0,(6,a3) 				#X_end
	mov 	63,d0
	mov 	d0,(8,a3) 				#Y_end 
	mov 	a0,(10,a3) 				#&buffer
	
	mov 	a3,a0
	mov 	22,d0 					#call_lcdbios
	add 	-4,a3
	mov 	a2,(a3)
	mov 	A_SWINTENT,a2
	jsr 	(a2)
	
	add 	14,a3
	rts

#======================================
#	Call PSDOS
#======================================
#psdosR[
#íj
#d0:R[io[

call_psdos:
	movb 	d0,(1,a0)
	mov 	20,d0
	add 	-4,a3
	mov 	a2,(a3)
	mov 	A_SWINTENT,a2
	jsr 	(a2) 					#call

	rts

#======================================
#	Call Wbios
#======================================
#wbiosR[
#íj
#d0:R[io[

call_wbios:
	add 	-4,a3 					# call_wbios
	mov 	a2,(a3)
	mov 	A_SWINTENT,a2
	jsr 	(a2)

	rts

#====================================================================
#		v⏕\
#====================================================================
#==================
#	Symbol2Vram4x8
#==================
#wVRAM4x8̃V{iLj]
#íj
#a0:]VRAM
#a1:]ΏۋLf[^擪AhX(4x8Ɍ)

symbol2vram4x8:
	movbu 	(0,a1),d0
	movb 	d0,(0,a0) 				#1bit
	movbu 	(1,a1),d0
	movb 	d0,(1,a0) 				#2bit
	movbu 	(2,a1),d0
	movb 	d0,(2,a0) 				#3bit
	sub 	d0,d0
	movb 	d0,(3,a0) 				#4bit - 0x00
	
	add 	4,a0 					#VRAM␳
	rts

#==================
#	Win2Vram
#==================
#VRAMɃEBhE]B
#íj
#a0:]VRAM̃J擪
#a1:EBhẼ^Cg擪i^CgGAɍl߂ŕ\BI[j
#d1:^CgGA܂ރEBhȄc̑傫iŏ [2]  - ő [7]j 
#d2:EBhE̗[̗Vсiŏ[0] - ő [50] :Ɍj

win2vram:
	add 	-12,a3 					#ێ͖̂BX^bNgpB
	add 	d2,a0 					#a0+V
	mov 	a0,(a3) 				#push : &vram
	mov 	a1,(4,a3) 				#push : &title
	mov 	102,d0
	sub 	d2,d0
	sub 	d2,d0 					#102VтQƁAoB
	mov 	d0,(8,a3) 				#push : size_X
	mov 	d1,(10,a3) 				#push : size_Y

win2vram_clear: 					############################################### 1:NA
	mov 	d0,d2 					#    : size_X ->[vJE^P
	mov 	d1,d3 					#    : size_Y ->[vJE^Q
	mov 	(a3),a0 				#pop : &vram
	mov 	a0,a1 					#a1ɑޔĂ
	sub 	d0,d0 					#vZbg
win2vram_clear2:
	mov 	d0,(a0)
	add 	2,a0
	add 	-2,d2
	bne 	win2vram_clear2
	add 	102,a1 					#I[o[+102iǂĂ݂ƕj
	mov 	a1,a0
	mov 	(8,a3),d2 				#pop : size_XĂ
	add 	-1,d3
	bne 	win2vram_clear2
win2vram_clear3: 					#a0͊ɃNA̐擪ɂ
	mov 	(8,a3),d2 				#pop : size_X ->[vJE^
	mov 	0xf8f8,d1
win2vram_clear4:
	mov 	(a0),d0
	and 	d1,d0
	mov 	d0,(a0)
	add 	2,a0
	add 	-2,d2
	bne 	win2vram_clear4

win2vram_title: 					############################################### 2:^Cg
	mov 	(a3),a0 				#pop : &vram
	mov 	(8,a3),d2 				#pop : size_Y
	add 	-2,d2
	mov 	0xfe,d0 				# |
	movb 	d0,(1,a0)
	movb 	d0,(d2,a0)
	add 	6,a0 					#i߂
win2vram_title2:
	mov 	(4,a3),a1 				#pop : &title
	jsr 	str2vram 				#o̓[`
win2vram_title3:
	mov 	(a3),a0
	add 	2,a0 					#]VRAM
	mov 	(8,a3),d2
	add 	-4,d2 					#]*2
	mov 	0xfefe,d1 				#vZbg
win2vram_title4:
	mov 	(a0),d0
	lsr 	d0 						#Ɉ񂸂炷
	not 	d0
	and 	d1,d0 					#NA
	mov 	d0,(a0)
	add 	2,a0
	add 	-2,d2
	bne 	win2vram_title4
	
win2vram_window: 					############################################### 3:EBhE
	mov 	(a3),a0 				#pop : &vram
	add 	102,a0
	mov 	a0,a1
	mov 	(8,a3),d1 				#pop : size_X
	add 	-2,d1
	mov 	(10,a3),d2 				#pop : size_Y
	add 	-1,d2 					#            ->[vJE^
	mov 	0xff,d0 				# |
win2vram_window2:
	movb 	d0,(1,a0)
	movb 	d0,(d1,a0)
	
	add 	102,a1 					#I[o[
	mov 	a1,a0
	add 	-1,d2
	bne 	win2vram_window2

win2vram_bottom: 					############################################### 4:{g
	mov 	(8,a3),d2 				#pop : size_X
	add 	-2,d2
	mov 	0x03,d1
	movbu 	(1,a0),d0
	or  	d1,d0
	movb 	d0,(1,a0)
	movbu 	(d2,a0),d0
	or  	d1,d0
	movb 	d0,(d2,a0)
win2vram_bottom2:
	add 	-2,d2 					# -2 ->[vJE^
	add 	2,a0
	mov 	0x0202,d1 				#vZbg
win2vram_bottom3:
	mov 	(a0),d0
	or 		d1,d0
	mov 	d0,(a0)
	add 	2,a0
	add 	-2,d2
	bne 	win2vram_bottom3

win2vram_end:
	add 	12,a3
	rts

#=======================
#	Write INY
#=======================
#INYt@CCgBFXg܂BłReadINY̎g񂵂AƖʂȊB
#íj
#a1:Cgt@C̃pXi[̈̃AhX
#a2:Cgobt@̃AhXiobt@̓Cg͈͈ȏł邱Ɓj
#d1:Cg͈(1byte - 32kbyte)
#iój
#d0: ( 0: , 1:I𐄏,ȂvIȃG[ j

write_iny:
	add 	-12,a3
	
	mov 	a1,(a3) 				#push: &filename
	mov 	a2,(4,a3) 				#push: &buffer
	mov 	d1,(8,a3)  				#push: range
									#c2byte̓t@Cnhp
write_iny_open: 						#INYt@COPEN悤Ǝ݂
	jsr 	reset_dos_workarea
	mov 	dos_workarea,a0
	mov 	1,d0 					#01:[W]
	movb 	d0,(REG_AL,a0) 			#(00:R,01:W,02:R/W)		->AL :8bitWX^
	mov 	(a3),d0 				#pop:&filename(16bit)
	mov 	d0,(REG_DX,a0) 			#&filename 0xXXXX		->DX :16bitWX^
	mov 	(2,a3),d0 				#pop:&filename(8bit + ??)
	mov 	d0,(REG_DS,a0) 			#&filename 0xXX??	->DS :16bitWX^
write_iny_call_dos_open:
	mov 	DOS_OPEN,d0 			#dos_open : 0x3D
	jsr 	call_psdos

write_iny_open_end:
	mov 	(REG_CF,a0),d0 			#CF = (0: , 1=s)
	cmp 	1,d0 					#sH
	beq 	write_iny_end_err1		#wt@CĂƂ͂Ȃ...ˁB

	mov 	(REG_AX,a0),d0
	mov 	d0,(10,a3) 				#push : file_handle
	
#	jmp 	write_iny_write 		#̂Ȃ珑

write_iny_write:
	jsr 	reset_dos_workarea
	mov 	dos_workarea,a0
	
	mov 	(4,a3),d0 				#pop : &buffer 0xXXXX
	mov 	d0,(REG_DX,a0) 			# 						->DXWX^
	mov 	(6,a3),d0 				#pop : &buffer 0xXX + ??
	mov 	d0,(REG_DS,a0) 			#&buffer 0xXX?? 	->DSWX^

	mov 	(8,a3),d0 				#pop : range
	mov 	d0,(REG_CX,a0) 			# 						->CXWX^
	
	mov 	(10,a3),d0 				#pop : filehandle
	mov 	d0,(REG_BX,a0) 			# 						->BXWX^
	
write_iny_call_dos_write:
	mov 	DOS_WRITE,d0 			# dos_write :0x40
	jsr 	call_psdos

write_iny_write_end:
	mov 	(REG_CF,a0),d0 			#CF = (0: , 1=s)
	cmp 	1,d0 					#sH
	beq 	write_iny_end_err1		#sȂ΁A^[R[h1ŔB

#	jmp 	write_iny_close 		#Lb`ɍs

write_iny_close: 					#KJt@C͕邱ƁB
	jsr 	reset_dos_workarea
	mov 	dos_workarea,a0
	mov 	(10,a3),d0 				#pop:file_handle
	mov 	d0,(REG_BX,a0) 			# 				->BXWX^
write_iny_call_dos_close:
	mov 	DOS_CLOSE,d0 			#dos_close : 0x3e
	jsr 	call_psdos

write_iny_close_end:
	mov 	(REG_CF,a0),d0 			#CFWX^i0: , 1:ُj
	cmp 	1,d0
	beq 	write_iny_end_err1 		#N[Ys˂...

#	jmp 	read_iny_wrflush

write_iny_wrflush: 					#Ŝ...BȑOɂȂƃZbgŏB
	mov 	BI_WRFLUSH,d0
	jsr 	call_wbios

#	jmp 	write_iny_end

write_iny_end:
	add 	12,a3
	sub 	d0,d0 					#A^[R[h 0
	rts
write_iny_end_err1:
	add 	12,a3
	mov 	1,d0 					#sA^[R[h 1
	rts

#==================
#	ReverseArea (_d)
#==================
#ẅo[X
# _d tƁAw肵̈̉̒ihB1bitB
#íj
#a0:o[XGA
#d1:o[X

reverse_area_d:
	mov 	a0,a1
	add 	102,a1 					#i
	mov 	d1,d2
	mov 	0x01,d3
reverse_area_d2:
	movbu 	(a1),d0
	or 		d3,d0
	movb 	d0,(a1)
	add 	1,a1
	add 	-1,d2
	bne 	reverse_area_d2
reverse_area:
	movbu 	(a0),d0
	not 	d0
	movb 	d0,(a0)
	add 	1,a0
	add 	-1,d1
	bne 	reverse_area
reverse_area_end:
	rts

#=======================
#	YLIBf[^
#=======================
#YLIB̃f[^

	.align 2

	.lcomm vram,102*8+4
	.lcomm dos_workarea,20
	.lcomm c_flag,2


psp_address: .long 0
sysctl_address: .long 0
filename_address: .long 0
keyin_workarea: 		.short 0 						#2bytesm

han_e_font:			#pptHg(4x8)
#=========CODE:0x20 - 0x2F===========
	.byte	0x00,0x00,0x00 #SP
	.byte	0xbe,0xbe,0x00 #!
	.byte	0x06,0x00,0x06 #"
	.byte	0x28,0xfe,0x28 ##
	
	.byte	0x76,0x54,0xdc #$
	.byte	0xc2,0x38,0x86 #%
	.byte	0x7e,0x4a,0xfe #&
	.byte	0x04,0x06,0x00 #'
	
	.byte	0x38,0x44,0x82 #(
	.byte	0x82,0x44,0x38 #)
	.byte	0x28,0x7c,0x28 #*
	.byte	0x10,0x38,0x10 #+
	
	.byte	0x80,0xc0,0x00 #,
	.byte	0x10,0x10,0x10 #-
	.byte	0x00,0x80,0x00 #.
	.byte	0xc0,0x38,0x06 #/
	
#=========CODE:0x30 - 0x3F===========
	.byte	0xfe,0x82,0xfe #0
	.byte	0x00,0x00,0xfe #1
	.byte	0xf2,0x92,0x9e #2
	.byte	0x92,0x92,0xfe #3

	.byte	0x1e,0x10,0xfe #4
	.byte	0x9e,0x92,0xf2 #5
	.byte	0xfe,0x92,0xf2 #6
	.byte	0x02,0x02,0xfe #7

	.byte	0xfe,0x92,0xfe #8
	.byte	0x9e,0x92,0xfe #9
	.byte	0x00,0x6c,0x00 #:
	.byte	0x40,0x6c,0x00 #;
	
	.byte	0x10,0x28,0x44 #<
	.byte	0x28,0x28,0x28 #=
	.byte	0x44,0x28,0x10 #>
	.byte	0x06,0xb2,0x1e #?

#=========CODE:0x40 - 0x4F===========
	.byte	0x7e,0xaa,0xbe #@
	.byte	0xfe,0x0a,0xfe #A
	.byte	0xfe,0x92,0xec #B
	.byte	0xfe,0x82,0xc6 #C
	
	.byte	0xfe,0x82,0x7c #D
	.byte	0xfe,0x92,0x92 #E
	.byte	0xfe,0x12,0x02 #F
	.byte	0x7e,0x52,0xf2 #G
	
	.byte	0xfe,0x10,0xfe #H
	.byte	0x82,0xfe,0x82 #I
	.byte	0xe0,0x80,0xfe #J
	.byte	0xfe,0x18,0xf6 #K
	
	.byte	0xfe,0x80,0x80 #L
	.byte	0xfe,0x04,0xfe #M
	.byte	0xf8,0x10,0x3e #N
	.byte	0xfe,0x82,0xfe #O

#=========CODE:0x50 - 0x5F===========
	.byte	0xfe,0x12,0x1e #P
	.byte	0x3e,0xe2,0xbe #Q
	.byte	0xfe,0x0a,0xf6 #R
	.byte	0xde,0x92,0xf6 #S
	
	.byte	0x02,0xfe,0x02 #T
	.byte	0xfe,0x80,0xfe #U
	.byte	0xfe,0x40,0x3e #V
	.byte	0xfe,0x40,0xfe #W
	
	.byte	0xee,0x10,0xee #X
	.byte	0x0e,0xf8,0x0e #Y
	.byte	0xf6,0x92,0xde #Z
	.byte	0x7c,0x44,0x00 #[
	
	.byte	0x06,0x38,0xc0 #Rev.S(not"yen")
	.byte	0x44,0x7c,0x00 #]
	.byte	0x06,0x02,0x06 #^
	.byte	0x80,0x80,0x80 #_

#=========CODE:0x60 - 0x6F===========
	.byte	0x00,0x02,0x04 #`
	.byte	0xf8,0x28,0xf8 #a(small"A")
	.byte	0xf8,0xa8,0x50 #b
	.byte	0x70,0x88,0x88 #c
	
	.byte	0xf8,0x88,0x70 #d
	.byte	0xf8,0xa8,0xa8 #e
	.byte	0xf8,0x28,0x08 #f
	.byte	0x78,0x48,0xe8 #g
	
	.byte	0xf8,0x20,0xf8 #h
	.byte	0x88,0xf8,0x88 #i
	.byte	0xc0,0x80,0xf8 #j
	.byte	0xf8,0x30,0xc8 #k
	
	.byte	0xf8,0x80,0x80 #l
	.byte	0xf8,0x10,0xf8 #m
	.byte	0xf0,0x20,0x78 #n
	.byte	0xf8,0x88,0xf8 #o

#=========CODE:0x70 - 0x7F===========
	.byte	0xf8,0x28,0x38 #p
	.byte	0x38,0xe8,0xb8 #q
	.byte	0xf8,0x28,0xd8 #r
	.byte	0xb8,0xa8,0xe8 #s
	
	.byte	0x08,0xf8,0x08 #t
	.byte	0xf8,0x80,0xf8 #u
	.byte	0xf8,0x40,0x38 #v
	.byte	0xf8,0x40,0xf8 #w
	
	.byte	0xd8,0x20,0xd8 #x
	.byte	0x18,0xf0,0x18 #y
	.byte	0xe8,0xa8,0xb8 #z
	.byte	0x10,0x7c,0x44 #{
	
	.byte	0x00,0xfe,0x00 #|
	.byte	0x44,0x7c,0x10 #}
	.byte	0x04,0x06,0x02 #~
#	.byte	0x00,0x00,0x00 #DEL(unnecessary)
#=====================================

	.align 2

#pJitHg(4x8)
han_k_font:

	#




